SSH-AGENT-FILTER(1)

NAME
ssh-agent-filter - filtering proxy for ssh-agent meant to be forwarded to untrusted servers

SYNOPSIS
ssh-agent-filter [ OPTIONS ]

DESCRIPTION
ssh-agent-filter provides the unix domain socket interface of an ssh-agent. By default it forks and outputs shell code setting SSH_AUTH_SOCK and SSH_AGENT_PID, just like ssh-agent does.

It filters each request according to its command line options. No crypto operations are done by ssh-agent-filter; they are delegated to the upstream ssh-agent.

ssh-agent-filter is not meant to be used directly, but through afssh.

OPTIONS

-A [ --all-confirmed ]
    allow all other keys with confirmation

-c [ --comment ] arg
    key specified by comment

-C [ --comment-confirmed ] arg
    key specified by comment, with confirmation

-d [ --debug ]
    show some debug info, don't fork

-f [ --fingerprint ] arg
    key specified by pubkey's hex-encoded md5 fingerprint

-F [ --fingerprint-confirmed ] arg key specified by pubkey's hex-encoded md5
    fingerprint, with confirmation

-h [ --help ]
    print this help message

-k [ --key ] arg
    key specified by base64-encoded pubkey

-K [ --key-confirmed ] arg
    key specified by base64-encoded pubkey, with confirmation

-n [ --name ] arg
    name for this instance of ssh-agent-filter, for confirmation puposes

-V [ --version ]
    print version information

ENVIRONMENT

SSH_AUTH_SOCK
    socket of upstream ssh-agent

SSH_ASKPASS
    command to run for confirmation questions

AUTHOR
Written by Timo Weingärtner.

REPORTING BUGS
Report bugs to the Debian BTS at https://bugs.debian.org/ or by mail to timo@tiwe.de.

SEE ALSO
afssh(1), ssh(1), ssh-agent(1)